Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.admin.cfg
Interface ConfigService

    public interface ConfigService

This interface define methods to get differ configuration of sever.

Method Summary
`ConfigurationAdhocUpload` | `getConfigurationAdhocUpload()` get the configuration for Adhoc upload
`ConfigurationAdvanced` | `getConfigurationAdvanced()` get Advanced Configuration;
`ConfigurationCache` | `getConfigurationCache()` get cache Configuration;
`ConfigurationCluster` | `getConfigurationCluster()` get Configuration for cluster;
`ConfigurationFax` | `getConfigurationFax()` get configuration for fax
`ConfigurationLDAP` | `getConfigurationLDAP()` get LDAP state Configuration;
`ConfigurationLDAPServer` | `getConfigurationLDAPServer()` get LDAP Server Configuration;
`ConfigurationLog` | `getConfigurationLog()` get logo Configuration;
`ConfigurationMail` | `getConfigurationMail()` get mail Configuration ;
`ConfigurationPerformance` | `getConfigurationPerformance()` get Performance Configuration;
`ConfigurationPrecisionMapping` | `getConfigurationPrecisionMapping()` get the configuration for precision mapping
`ConfigurationRMI` | `getConfigurationRMI()` get configuration for rmi server
`ConfigurationService` | `getConfigurationService()` get Service Configuration;
`CustomFieldManager` | `getCustomFieldManager()` get the custom field manager
`boolean` | `isLocalRequest(java.lang.String sURL)` judge the request's URL is come form .

Method Detail

### isLocalRequest

    boolean isLocalRequest(java.lang.String sURL)

  judge the request's URL is come form .

  Parameters:
    `sURL` - url of request.

### getConfigurationService

    ConfigurationService getConfigurationService()

  get Service Configuration;

### getConfigurationMail

    ConfigurationMail getConfigurationMail()

  get mail Configuration ;

### getConfigurationCache

    ConfigurationCache getConfigurationCache()

  get cache Configuration;

### getConfigurationPerformance

    ConfigurationPerformance getConfigurationPerformance()

  get Performance Configuration;

### getConfigurationAdvanced

    ConfigurationAdvanced getConfigurationAdvanced()

  get Advanced Configuration;

### getConfigurationLog

    ConfigurationLog getConfigurationLog()

  get logo Configuration;

### getConfigurationLDAPServer

    ConfigurationLDAPServer getConfigurationLDAPServer()

  get LDAP Server Configuration;

### getConfigurationLDAP

    ConfigurationLDAP getConfigurationLDAP()

  get LDAP state Configuration;

### getConfigurationCluster

    ConfigurationCluster getConfigurationCluster()

  get Configuration for cluster;

### getConfigurationFax

    ConfigurationFax getConfigurationFax()

  get configuration for fax

  Returns:
    ConfigurationFax

### getConfigurationRMI

    ConfigurationRMI getConfigurationRMI()

  get configuration for rmi server

  Returns:
    ConfigurationFax

### getConfigurationPrecisionMapping

    ConfigurationPrecisionMapping getConfigurationPrecisionMapping()

  get the configuration for precision mapping

  Returns:
    ConfigurationPrecisionMapping

### getConfigurationAdhocUpload

    ConfigurationAdhocUpload getConfigurationAdhocUpload()

  get the configuration for Adhoc upload

  Returns:
    ConfigurationAdhocUpload

### getCustomFieldManager

    CustomFieldManager getCustomFieldManager()

  get the custom field manager

  Returns:
    custom field manager object
  Since:
    version 9.1

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD